apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: bo
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: bo
    spec:
      containers:
      - name: bo
        image: registry.gitlab.com/chvote2/web-apps/chvote-bo/bo-reverse-proxy:IMAGE_TAG
        imagePullPolicy: Always
        env:
        - name: env
          value: int1
        ports:
        - containerPort: 80
          name: bo
        resources:
          requests:
            memory: "250M"
            cpu: "100m"
      imagePullSecrets:
        - name: registry.gitlab.com
